Page MenuHomePhabricator

[regression] The tab "New section" does not work with the New Wikitext Editor unless the editor is already active
Closed, ResolvedPublic1 Story Points

Description

The tab seems clickable, but nothing happens.
Note this is with New Wikitext Editor enabled.
Same behavior in Firefox and Chrome.
Tested in Norwegian Wikipedia ("Nytt emna") and in the English Wikipedia.

Event Timeline

jeblad created this task.Feb 3 2017, 6:16 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 3 2017, 6:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jeblad updated the task description. (Show Details)Feb 3 2017, 6:21 AM

Duplicate of T153547?

Actually it's exactly the other way round: Starting a new section while you are already editing works for me, only starting from viewing the page doesn't do anything. I tracked this down until these lines from onEditSectionLinkClick:

var targetPromise,
uri = new mw.Uri(e.target.href),
title = mw.Title.newFromText(uri.query.title || '');
if (!init.isUnmodifiedLeftClick(e) || !('action' in uri.query)) {
  return;
}

Unlike expected, 'action' is not in uri.query, the URL is something like https://no.wikipedia.org/w/index.php?title=Brukerdiskusjon:Schnark&section=new&veaction=editsource.

jeblad renamed this task from The tab "Nytt emne" ("Create section") at nowiki des not work to The tab "Nytt emne" ("Create section") at nowiki does not work.Feb 3 2017, 3:40 PM
jeblad added a comment.Feb 3 2017, 3:43 PM

Checked just now and the link contains action=editso something has changed. Previously it was veaction=editsource.

jeblad added a comment.Feb 3 2017, 8:34 PM

Now it does not work again… ;)

Elitre added a subscriber: Elitre.Feb 6 2017, 10:46 AM

Also in the English Wikipedia. "New section" does nothing on user talk pages.

Amire80 renamed this task from The tab "Nytt emne" ("Create section") at nowiki does not work to The tab "New section" does not work.Feb 6 2017, 1:19 PM
Amire80 updated the task description. (Show Details)
Restricted Application added a subscriber: jhsoby. · View Herald TranscriptFeb 6 2017, 1:19 PM
Amire80 renamed this task from The tab "New section" does not work to The tab "New section" does not work with the New Wikitext Editor.Feb 6 2017, 1:19 PM
Jdforrester-WMF renamed this task from The tab "New section" does not work with the New Wikitext Editor to The tab "New section" does not work with the New Wikitext Editor unless the editor is already active.Feb 7 2017, 8:24 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 336645 had a related patch set uploaded (by Esanders):
Check for 'veaction' when clicking section edit links

https://gerrit.wikimedia.org/r/336645

Esanders renamed this task from The tab "New section" does not work with the New Wikitext Editor unless the editor is already active to [regression] The tab "New section" does not work with the New Wikitext Editor unless the editor is already active.Feb 8 2017, 5:49 PM
Jdforrester-WMF closed this task as Resolved.Feb 9 2017, 6:22 PM
Jdforrester-WMF assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 9 2017, 6:22 PM

Change 336645 merged by jenkins-bot:
Check for 'veaction' when clicking section edit links

https://gerrit.wikimedia.org/r/336645

So this is solved but not yet in production?

Ryasmeen moved this task from To be Verified to Verified on the User-Ryasmeen board.